Page MenuHome

Blender 2.83.11 Beta: Crash running python script with registered timer (fixed in 2.90+)
Needs Triage, LowPublic

Description

System Information

Operating system: Windows 10 Pro
CPU Model: Intel(R) Core(TM) i7-10875H CPU @ 2.30GHzLogical Cores:  16                            
GPU Model: Intel(R) UHD Graphics GPU Model: NVIDIA GeForce RTX 2070 Super with Max-Q Design

Blender Version
Broken:

Blender 2.83.11 Beta
        build date: 2021-01-18
        build time: 12:09:03
        build commit date: 2021-01-13
        build commit time: 10:37
        build hash: b78d373e96e0
        build platform: Windows
        build type: Release
        build c flags: /W3 /w34062 /w34115 /w34189 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /wd4661 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /nologo /J /Gd /MP /bigobj -openmp
        build c++ flags: /W3 /w34062 /w34115 /w34189 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /wd4661 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /GR /EHsc /nologo /J /Gd /MP /EHsc /bigobj /permissive- /Zc:twoPhase- -openmp
        build link flags: /MACHINE:X64  /SUBSYSTEM:CONSOLE /STACK:2097152,70656 /INCREMENTAL:NO  /ignore:4049 /ignore:4217 /ignore:4221
        build system: CMake

Worked: (all other versions)

Short description of error

wait_interval_count=2
wait_timer=1
wait_interval_count=1
wait_timer=1
wait_interval_count=0
Script - quiting
Error   : EXCEPTION_ACCESS_VIOLATION
Address : 0x00007FF6E5E3E725

Exact steps for others to reproduce the error
Run this script

./blender  --python ./blender-test-smoke.py

File:

Event Timeline

James Monteath (jmonteath) triaged this task as Unbreak Now! priority.Jan 18 2021, 2:18 PM
James Monteath (jmonteath) lowered the priority of this task from Unbreak Now! to High.
Campbell Barton (campbellbarton) lowered the priority of this task from High to Low.EditedJan 19 2021, 5:04 AM
  • This is fixed in 2.90 and newer.
  • This crash can be avoided using sys.exit(0).

CC'ing @Jeroen Bakker (jbakker) for the LTS.

Campbell Barton (campbellbarton) renamed this task from Blender 2.83.11 Beta: Crash running python script with registered timer to Blender 2.83.11 Beta: Crash running python script with registered timer (fixed in 2.90+).Jan 19 2021, 5:04 AM

Ah sys.exit(0) is the correct way to exit with python, will do this.

I put in a switch in for 2.83 for this bpy.ops.wm.quit_blender() call as i figure should still be used with blender ?

sys.exit(0) will hang blender 100% of the time.